<?php

add_filter( 'if_menu_conditions', 'if_menu_basic_conditions' );

function if_menu_basic_conditions( $conditions ) {
	
	$conditions[] = array(
		'name'		=>	__( 'کاربر وارد شده است', 'if-menu' ),
		'condition'	=>	'is_user_logged_in'
	);

	$conditions[] = array(
		'name'		=>	__( 'کاربر مدیر است', 'if-menu' ),
		'condition'	=>	'if_menu_basic_condition_admin'
	);

	$conditions[] = array(
		'name'		=>	__( 'کاربر ویرایشگر است', 'if-menu' ),
		'condition'	=>	'if_menu_basic_condition_editor'
	);

	$conditions[] = array(
		'name'		=>	__( 'کاربر مشترک است', 'if-menu' ),
		'condition'	=>	'if_menu_basic_condition_subscriber'
	);

	$conditions[] = array(
		'name'		=>	__( 'کاربر نویسنده است', 'if-menu' ),
		'condition'	=>	'if_menu_basic_condition_author'
	);

	$conditions[] = array(
		'name'		=>	__( 'کاربر شرکت کننده است', 'if-menu' ),
		'condition'	=>	'if_menu_basic_condition_contributor'
	);

	$conditions[] = array(
		'name'		=>	__( 'صفحه اصلی', 'if-menu' ),
		'condition'	=>	'is_front_page'
	);

	$conditions[] = array(
		'name'		=>	__( 'پست تک', 'if-menu' ),
		'condition'	=>	'is_single'
	);

	$conditions[] = array(
		'name'		=>	__( 'صفحه', 'if-menu' ),
		'condition'	=>	'is_page'
	);

	return $conditions;
}

function if_menu_basic_condition_admin() {
	global $current_user;
	if( is_user_logged_in() ) return in_array( 'administrator', $current_user->roles );
	return false;
}

function if_menu_basic_condition_editor() {
	global $current_user;
	if( is_user_logged_in() ) foreach( array( 'administrator', 'editor' ) as $role ) if( in_array( $role, $current_user->roles ) ) return true;
	return false;
}

function if_menu_basic_condition_author() {
	global $current_user;
	if( is_user_logged_in() ) foreach( array( 'administrator', 'editor', 'author' ) as $role ) if( in_array( $role, $current_user->roles ) ) return true;
	return false;
}

function if_menu_basic_condition_contributor() {
	global $current_user;
	if( is_user_logged_in() ) foreach( array( 'administrator', 'editor', 'author', 'contributor' ) as $role ) if( in_array( $role, $current_user->roles ) ) return true;
	return false;
}

function if_menu_basic_condition_subscriber() {
	global $current_user;
	if( is_user_logged_in() ) foreach( array( 'administrator', 'editor', 'author', 'contributor', 'subscriber' ) as $role ) if( in_array( $role, $current_user->roles ) ) return true;
	return false;
}
